CVE-2001-1248
CVSS5.0
发布时间 :2001-06-29 00:00:00
修订时间 :2008-09-10 15:10:02
NMCOS    

[原文]vWebServer 1.2.0 allows remote attackers to view arbitrary ASP scripts via a request for an ASP script that ends with a URL-encoded space character (%20).


[CNNVD]VWebServer ASP源代码泄露漏洞(CNNVD-200106-207)

        vWebServer 1.2.0版本漏洞。远程攻击者借助以URL-encoded间隔符号(20%)结尾的ASP脚本请求查看任意ASP脚本。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1248
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1248
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200106-207
(官方数据源) CNNVD

- 其它链接及资源

http://www.iss.net/security_center/static/6769.php
(VENDOR_ADVISORY)  XF  vwebserver-asp-reveal-source(6769)
http://online.securityfocus.com/archive/1/194418
(VENDOR_ADVISORY)  BUGTRAQ  20010629 4 New vulns. vWebServer and SmallHTTP
http://www.securityfocus.com/bid/2975
(UNKNOWN)  BID  2975

- 漏洞信息

VWebServer ASP源代码泄露漏洞
中危 输入验证
2001-06-29 00:00:00 2005-10-20 00:00:00
远程  
        vWebServer 1.2.0版本漏洞。远程攻击者借助以URL-encoded间隔符号(20%)结尾的ASP脚本请求查看任意ASP脚本。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

12403
vWebServer Encoded Space (%20) Request Arbitrary ASP Script Disclosure
Remote / Network Access Input Manipulation
Loss of Confidentiality Solution Unknown

- 漏洞描述

- 时间线

2001-06-29 Unknow
Unknow Unknow

- 解决方案

OSVDB is not aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

VWebServer ASP Source Code Disclosure Vulnerability
Input Validation Error 2975
Yes No
2001-06-29 12:00:00 2009-07-11 06:56:00
Reported to bugtraq by Extirpater <extirpater@yahoo.com> on June 29, 2001.

- 受影响的程序版本

vWebServer vWebServer 1.2
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0

- 漏洞讨论

vWebServer is a freeware Active Web Pages webserver.

If a remote user appends a unicode-format space character to a URL requesting an ASP script, the source code of that script will be displayed, rather than executed.

Depending on the contents of the requested script, this information may assist in the exploitation of other vulnerabilities.

- 漏洞利用

See discussion.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站